#
# spec file for package python-salt-testing
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-salt-testing
Version:        2016.9.7
Release:        1.1
Summary:        Testing tools needed in the several Salt Stack projects
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            http://saltstack.org/
Source0:        https://pypi.io/packages/source/S/SaltTesting/SaltTesting-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-mock
BuildRequires:  python-requests
BuildRequires:  python-setuptools
BuildRequires:  python-unittest2
Requires:       python-mock
Requires:       python-requests
Requires:       python-six
Requires:       python-unittest2
Recommends:     python-coverage
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Salt-Testing provides the required testing tools needed in the several Salt Stack projects.

%prep
%setup -q -n SaltTesting-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root)
%doc LICENSE AUTHORS.rst
%{_bindir}/github-commit-status
%{_bindir}/salt-jenkins-build
%{python_sitelib}/*

%changelog
* Tue Sep 27 2016 tampakrap@opensuse.org
- Update to 2016.9.7
  - No changelog, see https://github.com/saltstack/salt-testing/compare/v2016.7.22...v2016.9.7
* Sat Jul 30 2016 tampakrap@opensuse.org
- Update to 2016.7.22
  - No changelog, see https://github.com/saltstack/salt-testing/compare/v2015.7.10...v2016.7.22
* Tue Oct 13 2015 tampakrap@opensuse.org
- Update to 2015.7.10
  - introduces new dependency to python-six
  - No changelog, see https://github.com/saltstack/salt-testing/compare/v2015.2.16...v2015.7.10
* Thu Feb 12 2015 aboe76@gmail.com
- Updated to 2015.2.16
  + fixed scripts that weren't in source tarball
  + dropped hard depency on python-requests
  + Jenkins execution helper script salt-jenkins-build
  + GitHub commit status notification: github-commit-status
* Wed Feb 11 2015 aboe76@gmail.com
- Updated to 2015.2.15
  + new depency python-requests
  + too much to list:
  see https://github.com/saltstack/salt-testing/compare/v2014.8.5...develop
* Tue Aug  5 2014 aboe76@gmail.com
- updated to 2014.8.5
  + Added with_system_user, with_system_group and with_system_user_and_group which surpasses the functionality from the now deprecated with_system_account.
  + Added expensiveTest decorator which is supposed to mark tests which cost money
  + Allow passing a path to the docker binary
  + Updated the PEP8 PyLint plugin to support some newly added messages
  + Improved the string formatting pylint plugin
  + Support mock_open as a fake object so that import errors are not triggered
* Thu Apr 24 2014 aboe76@gmail.com
- Updated to version 2014.4.24
  - first date based release
  - Add skip_if_binaries_missing helper method
  - Global exception handler to catch weird and uncaught exceptions
  - Docker runtests support enhancements
  - Mark the start and stop of each tests on a log message
* Thu Jan  2 2014 aboe76@gmail.com
- Updated to version 0.5.4
- Support Pylint >= 1.0 and still maintain support for older versions
- Allow super() usage by turning old style classes into new style classes
- Delete docker container once the tests suite ends
- Fake some mocked object in order not to fail at import time(before mock support checks)
* Tue Nov 12 2013 aboe76@gmail.com
- Updated to version 0.5.3
- Dropped HTML unit test reports support which was
  a requirement for EPEL, I think...
- Added support to run the tests suite within a Docker container
  (as long as it's properly configured on the user's system)
- Added a minimal string format checker for PyLint, it basicaly
  reject any string which calls .format and it has format holders
  but they are not indexed, ie 'Foo {}'.format(bar)
* Thu Oct 24 2013 aboe76@gmail.com
- Updated to version 0.5.2
  - no-encoding-in-empty-file (W9905) test added
  - only apply PEP8 messages which generate code
  - Log start and stop executions
  - Logic added to avoid PyLints deprecation messages
  - AUTHORS.rst and LICENSE added
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Sep 27 2013 aboe76@gmail.com
- Updated to version 0.5.1
  - ipv6 check support
  - salt pylint checker
  - salt coverage support
  - local network check
* Thu Sep 19 2013 aboe76@gmail.com
- Python-salt-testing version 0.5.0
